# License agreement version 1

The tl;dr summary:

- This is commercial software and the usual rules for that apply.
- It's licensed on a per-project basis, not to specific named individuals or seats.
- You can't service-ify the product. We offer separate licenses if you'd like to do that.
- This summary isn't the real agreement and isn't binding. The text below is!

## 1. General

For the exact definitions of capitalized words and names, please see Section 7.

1. **Your rights.** Nothing in this Agreement limits any rights a consumer may have under applicable consumer protection laws.
2. **Reservation of Rights.** Hydraulic reserves the right at any time to cease its support of the Product and to alter prices, features, specifications, capabilities, functions, terms of use, release dates, general availability, and other characteristics of the Product.
3. **Changes to this Agreement.** The Agreement can be updated from time to time to reflect changes in the Product and how it is offered to you. If this happens, we will let you know by displaying the new version to you in the Product in the same way you are seeing it now and asking for re-agreement, or by contacting you via email if your email address has been provided. We respect that you may not agree to the updated Agreement. If that is the case, you can terminate your Subscription. Termination according to this Section entitles you to a pro-rata refund of the pre-paid unused Subscription fees.
4. **Opportunity to Review.** The User declares that they have had sufficient opportunity to review this Agreement, understand the content of all of its sections, negotiate its terms via email, and seek independent professional legal advice before entering into it. Bypassing this screen using the provided command line flags or environment variables is equivalent to accepting this Agreement, and should only be done after reading it. Consequently, any statutory “form contract” (“adhesion contract”) regulations shall not be applicable to this Agreement.
5. **Severability.** If a particular term of this Agreement is not enforceable, the unenforceability of that term will not affect any other terms of this Agreement.
6. **Interpretation.** Headings and titles are for convenience only and do not affect the interpretation of this Agreement. Terms such as “including” are not exhaustive.
7. **No Waiver.** Our failure to enforce or exercise any part of this Agreement is not a waiver of that section.
8. **Governing Law.** This Agreement is governed by the laws of Switzerland. The Parties to the agreement constituted by this Agreement undertake to use best commercial efforts to amicably settle any disputes arising hereunder (“Dispute”). Should the parties to this Agreement fail to settle a Dispute amicably,
  the courts of Switzerland shall have exclusive jurisdiction to settle any dispute or claim arising out of or in connection with these terms. 
9. **Data Privacy.** By accepting this Agreement, the User acknowledges that Hydraulic may process personal data in accordance with Hydraulic Privacy Policy.
10. **Force Majeure.** Neither party to this Agreement shall be in breach of this Agreement, or otherwise liable to the other, by reason of any delay in performance, or non-performance, of any of its obligations under this Agreement (except payment obligations), arising directly from an act of God, fire, flood, natural disaster, act of terrorism, strike, lock-out, labor dispute, public health emergency, civil commotion, riot, or act of war.
11. **Children and minors.** If you are under 18 years old, then by entering into this Agreement you explicitly stipulate that (i) you have legal capacity to conclude this Agreement or that you have valid consent from a parent or legal guardian to do so and (ii) you understand the Hydraulic Privacy Policy. You may not enter into this Agreement if you are under 13 years old. _IF YOU DO NOT UNDERSTAND THIS SECTION OR THE PRIVACY POLICY, OR DO NOT KNOW WHETHER YOU HAVE THE LEGAL CAPACITY TO ACCEPT THESE TERMS, PLEASE ASK YOUR PARENT OR LEGAL GUARDIAN FOR HELP_.

## 2. Grant of rights

1. This Product is provided to the User on a 'per Project' basis and the right to use the product is conditional on acquiring and assigning an individual Authorization to each Project with which the Product is used.
   1. One or more Authorizations will be granted on the purchase of a Subscription.
   2. Authorizations may be granted by Hydraulic independent of any Subscription at its sole discretion, for example, for trial purposes or for non-commercial Projects.
   3. An issued Authorization is for a specific User and may not be transferred to any third party.
2. If the User complies with the terms of this Agreement and acquires an Authorization for their Project, we grant to the User the rights set out in this section to the extent necessary to enable the User to effectively use the Product. All other rights remain reserved by Hydraulic.
3. Unless this Agreement is terminated in accordance with Section 3, and subject to the terms and conditions specified in this Agreement, Hydraulic grants you the non-exclusive and non-transferable right to use the Product as stipulated below:
   1. You may:
       1. install any version of the Product on any platform supported by the Product;
       2. make as many copies as needed for your usage of the Product;
       3. use the Product in combination with any Project for which Hydraulic has granted you an Authorization;
   2. You may not:
       1. rent, lease, reproduce, modify, adapt, create derivative works of, distribute, sell, or transfer the Product;
       2. provide a third party with access to the Product, or the right to use the Product;
       3. reverse-engineer, decompile, disassemble, modify, translate, or make any attempt to discover the source code of, the Product; or
       4. remove or obscure any proprietary or other notices contained in the Product.
       5. use a single Project Authorization with more than one Project, or work around any program logic designed to enforce this restriction.
4. For the avoidance of doubt, this section expressly forbids the User from exposing any part of the Product's functionality as a service to third parties.
5. This section does not apply to any code, configuration or data files generated by the Product as part of normal usage. This includes the project templates, which are governed by separate license agreements that grant substantially more rights.
6. When using a free Authorization granted to open source projects, you agree that the Project will link to the Conveyor website and note that Conveyor is used for packaging in a reasonably visible place. The project website, download page or README file are examples of acceptable locations. 

## 3. Term and termination

1. The term of this Agreement will commence upon acceptance of this Agreement by User as set forth in the preamble above, and it will
   continue for each Project covered by a Subscription through to the end of the applicable Subscription period specified in the respective
   Subscription Confirmation. For Projects covered not by a Subscription but via an independent Project Authorization, the term of this
   Agreement will continue until either the Authorization expires or until the User ceases use of the Product.
2. You may terminate this Agreement at any time via an email to contact@hydraulic.dev or via the Customer Portal section of the
   Hydraulic website at https://hydraulic.dev. If such termination occurs during a Subscription period, this Agreement will continue to
   be effective until the end of that Subscription period.
3. **Refund policy:** you are entitled to a full refund of the amount paid for the current Subscription period if the termination is done
   within 30 days of the Subscription payment and there was no successful use of Conveyor to build the site for your project. After a
   successful initial build of your project using Conveyor, or after the 30 days since payment have elapsed, no refund is possible.
4. Hydraulic may terminate this Agreement and the associated Subscription if:
   1. User has materially breached this Agreement and fails to remedy the breach within thirty (30) days of written notice;
   2. Hydraulic is required to do so by law (for example, where the provision of the Product to User is, or becomes, unlawful); or
   3. Hydraulic elects to discontinue providing the Product, in whole or in part.
5. Hydraulic will make reasonable efforts to notify User via email or via announcements in the Product as follows:
   1. Thirty (30) days prior to termination of the Agreement in the event specified in Section 3.3.3.
   2. Three (3) days prior to termination of the Agreement in the event specified in Section 3.3.2.
6. Upon the expiration or termination of this Agreement, Sections 4, 5, and 6 of this Agreement survive.

## 4. Feedback

You have no obligation to provide us with ideas, suggestions or bug reports (“Feedback”). However, if you submit Feedback to us, then you grant us a non-exclusive, worldwide, royalty-free license that is sub-licensable and transferable, to make, use, sell, have made, offer to sell, import, reproduce, publicly display, distribute, modify, or publicly perform the Feedback in any manner without any obligation, royalty, or restriction based on intellectual property rights or otherwise.

## 5. Warranty limitations

1. ALL PRODUCTS ARE PROVIDED TO YOU ON AN “AS IS” AND “AS AVAILABLE” BASIS. USE OF THE PRODUCTS IS AT YOUR OWN RISK.
2. HYDRAULIC MAKES NO WARRANTY AS TO THE PRODUCTS’ USE OR PERFORMANCE. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, HYDRAULIC (AND ITS AFFILIATES, SHAREHOLDERS, AGENTS, DIRECTORS, AND EMPLOYEES), ITS LICENSORS, SUPPLIERS (INCLUDING THE PROVIDERS OF THIRD PARTY SOFTWARE), AND RESELLERS (COLLECTIVELY HEREUNDER, “HYDRAULIC PARTIES”) DISCLAIM ALL WARRANTIES AND CONDITIONS, WHETHER EXPRESS OR IMPLIED (INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT) WITH REGARD TO THE PRODUCTS AND THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES.
3. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, HYDRAULIC PARTIES DO NOT REPRESENT OR WARRANT THAT THE PRODUCTS: (A) ARE ACCURATE, RELIABLE, OR CORRECT; (B) WILL MEET YOUR REQUIREMENTS; (C) WILL BE AVAILABLE AT ANY PARTICULAR TIME OR LOCATION, UNINTERRUPTED, OR SECURE; (D) ARE FREE OF DEFECTS OR ERRORS AND THAT ANY, IF FOUND, WILL BE CORRECTED.
4. ANY CONTENT OR DATA DOWNLOADED OR OTHERWISE OBTAINED THROUGH THE USE OF THE PRODUCTS ARE DOWNLOADED AT YOUR OWN RISK; YOU AGREE YOU ARE SOLELY RESPONSIBLE FOR ANY DAMAGE TO YOUR PROPERTY AND/OR LOSS OF DATA THAT RESULTS FROM SUCH DOWNLOAD.
5. YOU MAY HAVE OTHER RIGHTS, WHICH MAY NOT BE LIMITED OR EXCLUDED AND WHICH MAY VARY FROM JURISDICTION TO JURISDICTION. THIS DOCUMENT IS NOT INTENDED TO NEGATIVELY AFFECT SUCH RIGHTS.

## 6. Disclaimer of damages

1. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL HYDRAULIC PARTIES BE LIABLE TO YOU, YOUR AFFILIATES, USERS, OR ANYONE ELSE FOR: (A) ANY LOSS OF USE, DATA, GOODWILL, OR PROFITS, WHETHER OR NOT FORESEEABLE; (B) ANY LOSS OR DAMAGES IN CONNECTION WITH TERMINATION OR SUSPENSION OF YOUR ACCESS TO THE PRODUCTS IN ACCORDANCE WITH THIS AGREEMENT; OR (C) ANY SPECIAL, INCIDENTAL, INDIRECT, CONSEQUENTIAL, EXEMPLARY, OR PUNITIVE DAMAGES WHATSOEVER (EVEN IF THE RELEVANT HYDRAULIC PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF THESE DAMAGES), INCLUDING THOSE (X) RESULTING FROM LOSS OF USE, DATA, OR PROFITS, WHETHER OR NOT THEY ARE FORESEEABLE, (Y) BASED ON ANY THEORY OF LIABILITY, INCLUDING BREACH OF CONTRACT OR WARRANTY, STRICT LIABILITY, NEGLIGENCE, OR OTHER TORTIOUS ACTION, OR (Z) ARISING FROM ANY OTHER CLAIM ARISING OUT OF OR IN CONNECTION WITH YOUR USE OF OR ACCESS TO THE PRODUCTS OR SUPPORT. THIS LIMITATION OF LIABILITY SHALL APPLY TO THE FULLEST EXTENT PERMITTED BY LAW IN THE APPLICABLE JURISDICTION.

2. THE TOTAL LIABILITY OF THE HYDRAULIC PARTIES IN ANY MATTER ARISING OUT OF OR IN RELATION TO THIS AGREEMENT IS LIMITED TO THE GREATER OF (A) TEN (10) US DOLLARS OR (B) THE AGGREGATE AMOUNT PAID OR PAYABLE BY PRODUCT HOLDER OR USER DURING THE THREE-MONTH PERIOD PRECEDING THE EVENT, FOR THE PRODUCTS GIVING RISE TO THE LIABILITY. THIS LIMITATION WILL APPLY EVEN IF THE HYDRAULIC PARTIES HAVE BEEN ADVISED OF THE POSSIBILITY OF LIABILITY EXCEEDING SUCH AN AMOUNT AND NOTWITHSTANDING ANY FAILURE OF THE ESSENTIAL PURPOSE OF ANY LIMITED REMEDY.

## 7. Definitions and parties

1. "Hydraulic" or "we" means Hydraulic Software AG, registered in Zürich, Switzerland under the company ID CHE-312.597.948.
2. "User" or "you" means the individual or organization given the right to use a Product in accordance with this Agreement.
3. "Agreement" means this document, excluding any informal "tl;dr summary" preamble.
4. "Product" means any version of Hydraulic Conveyor, whether formally released or not.
5. "Subscription" specifies the subscription term, Products provided to Customer, subscription fees, and payment schedules.
6. "Subscription Confirmation" means an email confirming the User’s rights to access and use the Product.
7. "Project" means a set of inputs to the Product that yield a consistent set of outputs, which yield a single upgradable product as would be perceived by a reasonable and non-technical person. A Project may consist of several sub-programs, without being considered multiple independent projects, as long as the sub-programs are bundled together into a single package.
8. "Authorization" means a time limited per-project license granting the right to use the Product with a particular Project, conditional on acceptance of this Agreement.
